Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign
Class AdCountGoal

    java.lang.Object
      com.bea.campaign.AdCountGoal

All Implemented Interfaces
  Goal, Serializable

    public class AdCountGoal

extends Object
implements Goal

A goal based upon ad counts.

See Also
  Serialized Form

Field Summary
`protected Collection` | `adPaths` The list of ad ids.
`static short` | `AND` Constant for AND boolean logic.
`static short` | `CLICK_THRU` Constant for click-thru counts.
`protected short` | `countType` The impression or click-thru count type.
`static short` | `GLOBAL` Constant for global counts.
`protected long` | `goalCount` The goal's count.
`static short` | `IMPRESSION` Constant for impression counts.
`static short` | `LOCAL` Constant for campaign-local counts.
`protected short` | `logic` The boolean logic.
`static short` | `OR` Constant for OR boolean logic.
`protected short` | `type` The local or global count type.

Constructor Summary
`AdCountGoal()`

Method Summary
`void` | `addAdId(String id)` Deprecated Use addAdPath(path) instead.
`void` | `addAdPath(String path)` Add an ad path.
`Collection` | `getAdIds()` Deprecated Use getAdPaths() instead.
`Collection` | `getAdPaths()` Get the ad paths.
`short` | `getCountType()` Get the count type.
`long` | `getGoalCount()` Get the goal's count.
`short` | `getLogic()` Return the boolean logic of the goal
`short` | `getType()` Get the campaign count type.
`boolean` | `hasBeenMet(CampaignService service, Campaign campaign)` Determine if this goal has been met.
`void` | `init(Element e)` Initialize this goal from an XML element.
`void` | `printXML(Writer writer)` Print out this goal as an XML element.
`void` | `setCountType(short t)` Set the campaign count type.
`void` | `setCountType(String t)` Set the campaign count type.
`void` | `setGoalCount(long count)` Set the goal's count.
`void` | `setLogic(short l)` Set the boolean logic.
`void` | `setLogic(String l)` Set the boolean logic.
`void` | `setType(short t)` Set the campaign count type.
`void` | `setType(String t)` Set the campaign count type.
`String` | `toString()` Get a string representation of this.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AND

    public static final short AND

  Constant for AND boolean logic.

  See Also
    Constants Summary

### OR

    public static final short OR

  Constant for OR boolean logic.

  See Also
    Constants Summary

### IMPRESSION

    public static final short IMPRESSION

  Constant for impression counts.

  See Also
    Constants Summary

### CLICK_THRU

    public static final short CLICK_THRU

  Constant for click-thru counts.

  See Also
    Constants Summary

### LOCAL

    public static final short LOCAL

  Constant for campaign-local counts.

  See Also
    Constants Summary

### GLOBAL

    public static final short GLOBAL

  Constant for global counts.

  See Also
    Constants Summary

### logic

    protected short logic

  The boolean logic.

### type

    protected short type

  The local or global count type.

### countType

    protected short countType

  The impression or click-thru count type.

### goalCount

    protected long goalCount

  The goal's count.

### adPaths

    protected Collection adPaths

  The list of ad ids.

Constructor Detail

### AdCountGoal

    public AdCountGoal()

Method Detail

### getLogic

    public short getLogic()

  Return the boolean logic of the goal

  Returns
    AND or OR.

### setLogic

    public void setLogic(short l)

  Set the boolean logic.

  Parameters
    `l` - AND or OR.

### setLogic

    public void setLogic(String l)

  Set the boolean logic.

  Parameters
    `l` - "and" or "or".

### getType

    public short getType()

  Get the campaign count type.

  Returns
    LOCAL or GLOBAL.

### setType

    public void setType(short t)

  Set the campaign count type.

  Parameters
    `t` - LOCAL or GLOBAL.

### setType

    public void setType(String t)

  Set the campaign count type.

  Parameters
    `t` - LOCAL or GLOBAL.

### getCountType

    public short getCountType()

  Get the count type.

  Returns
    IMPRESSION or CLICK_THRU.

### setCountType

    public void setCountType(short t)

  Set the campaign count type.

  Parameters
    `t` - IMPRESSION or CLICK_THRU.

### setCountType

    public void setCountType(String t)

  Set the campaign count type.

  Parameters
    `t` - IMPRESSION or CLICK_THRU.

### getGoalCount

    public long getGoalCount()

  Get the goal's count.

### setGoalCount

    public void setGoalCount(long count)

  Set the goal's count.

### getAdIds

    public Collection getAdIds()

  Deprecated Use getAdPaths() instead.

  Get the ad paths.

### addAdId

    public void addAdId(String id)

  Deprecated Use addAdPath(path) instead.

  Add an ad paths.

### getAdPaths

    public Collection getAdPaths()

  Get the ad paths.

### addAdPath

    public void addAdPath(String path)

  Add an ad path.

### hasBeenMet

    public boolean hasBeenMet(CampaignService service,
                              Campaign campaign)

  Determine if this goal has been met.

  Specified by:
    `hasBeenMet` in interface `Goal`
  Parameters
    `service` - the CampaignService to use.
    `campaign` - the Campaign to check under.
  Returns
    true if this goal has been met, false if not.

### init

    public void init(Element e)
              throws IllegalArgumentException

  Initialize this goal from an XML element.

  Consult the campaign.xsd XML Schema file for the structure of the Ad Count Goal XML.

  Specified by:
    `init` in interface `Goal`
  Parameters
    `e` - the element.
  Throws
    `IllegalArgumentException` - thrown on invalid XML.

### printXML

    public void printXML(Writer writer)

  Print out this goal as an XML element.

  Specified by:
    `printXML` in interface `Goal`
  Parameters
    `writer` - the output writer.

### toString

    public String toString()

  Get a string representation of this.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.